body,
html {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
    /* prevent scrolling */
    /* Optional: Use any font you like */

    background-color: rgb(0, 0, 0);
    /* white text */
    color: rgb(212, 212, 212);
}

#anniversary-message {
    position: absolute;
    top: 52%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2em;
    /* Adjust size as needed */
    text-align: center;

    /* bigger text */
    /* Optional: Use any font you like */
    font-weight: bold;
    font-family: 'Pacifico', cursive;

    z-index: 4;


}

#main-div {
    height: 100%;
    position: relative;
}

@keyframes twinkling {

    0%,
    100% {
        opacity: 0.7;
    }

    50% {
        opacity: 1;
    }
}


.circle_msg {
    display: none;
    position: absolute;
    top: 20%;
    left: 50%;
    text-align: center;

    animation: rotateText 10s linear infinite;

    /* bigger text */
    font-size: 3em;
    /* Optional: Use any font you like */
    font-weight: bold;
    font-family: 'Pacifico', cursive;

    /* white drop shadow */
    text-shadow: 0 0 1px #fff;

    z-index: 2;



}

@keyframes rotateText {
    0% {
        transform: rotate(360deg);
    }

}

#moon {
    position: absolute;
    top: -20%;
    left: 50%;
    transform: translateX(-50%);
    width: 140vw;
    height: auto;
    animation: moonBobbing 10s infinite ease-in-out;
    /* 3s is the duration, adjust if needed */

    z-index: 3;
}

@keyframes moonBobbing {

    0%,
    100% {
        top: 60%;
    }

    50% {
        top: 70%;
    }
}

#earth {
    position: absolute;
    bottom: 10%;
    left: 50%;
    transform: translateX(-50%);
    width: 20vw;
    height: auto;
    animation: earthBobbing 60s infinite ease-in-out;
    /* 4s is the duration, adjust if needed */

    z-index: 1;
}

@keyframes earthBobbing {

    0%,
    100% {
        top: 26.0%;
    }

    50% {
        top: 70.0%;
    }
}

#star-container {
    position: absolute;
    width: 150vw;
    /* making it larger than viewport to fit stars */
    height: 150vw;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    overflow: hidden;
    animation: rotateStars 60s linear infinite;
}

@keyframes rotateStars {
    from {
        transform: translate(-50%, -50%) rotate(0deg);
    }

    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

/* You can add as many stars as you'd like by repeating this pattern and adjusting positions/sizes */

.star {
    content: "";
    position: absolute;
    background-color: white;
    border-radius: 50%;
    opacity: 0.75;
    animation: twinkling 4s ease-in-out infinite;
}

.star:nth-child(1) {
    top: 10%;
    left: 20%;
    width: 2px;
    height: 2px;
}

.star:nth-child(2) {
    top: 20%;
    left: 75%;
    width: 1px;
    height: 1px;
}

.star:nth-child(3) {
    top: 40%;
    left: 10%;
    width: 3px;
    height: 3px;
}

.star:nth-child(4) {
    top: 60%;
    left: 60%;
    width: 2px;
    height: 2px;
}

.star:nth-child(5) {
    top: 80%;
    left: 80%;
    width: 1px;
    height: 1px;
}

.star:nth-child(6) {
    top: 90%;
    left: 30%;
    width: 2px;
    height: 2px;
}

.star:nth-child(7) {
    top: 10%;
    left: 50%;
    width: 1px;
    height: 1px;
}

.star:nth-child(8) {
    top: 30%;
    left: 90%;
    width: 2px;
    height: 2px;
}

.star:nth-child(9) {
    top: 50%;
    left: 40%;
    width: 1px;
    height: 1px;
}

.star:nth-child(10) {
    top: 70%;
    left: 10%;
    width: 2px;
    height: 2px;
}

.star:nth-child(11) {
    top: 90%;
    left: 70%;
    width: 1px;
    height: 1px;
}

.star:nth-child(12) {
    top: 10%;
    left: 90%;
    width: 2px;
    height: 2px;
}

.star:nth-child(13) {
    top: 30%;
    left: 30%;
    width: 1px;
    height: 1px;
}

.star:nth-child(14) {
    top: 50%;
    left: 80%;
    width: 2px;
    height: 2px;
}

.star:nth-child(15) {
    top: 70%;
    left: 20%;
    width: 1px;
    height: 1px;
}

.star:nth-child(16) {
    top: 90%;
    left: 50%;
    width: 2px;
    height: 2px;
}

.star:nth-child(17) {
    top: 10%;
    left: 10%;
    width: 1px;
    height: 1px;
}

.star:nth-child(18) {
    top: 30%;
    left: 60%;
    width: 2px;
    height: 2px;
}

.star:nth-child(19) {
    top: 50%;
    left: 90%;
    width: 1px;
    height: 1px;
}

.star:nth-child(20) {
    top: 70%;
    left: 40%;
    width: 2px;
    height: 2px;
}

.star:nth-child(21) {
    top: 90%;
    left: 80%;
    width: 1px;
    height: 1px;
}

.star:nth-child(22) {
    top: 10%;
    left: 30%;
    width: 2px;
    height: 2px;
}

.star:nth-child(23) {
    top: 30%;
    left: 80%;
    width: 1px;
    height: 1px;
}

.star:nth-child(24) {
    top: 50%;
    left: 20%;
    width: 2px;
    height: 2px;
}
